# Create Text Inscription Order

Use this endpoint to create an inscription order that will inscribe some text string.

{% hint style="warning" %}
The /textorder endpoint has a rate limit of maximum 2 requests every 10 seconds.
{% endhint %}

## Create Text Order

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/textorder`

#### Request Body

| Name                                    | Type   | Description                                                                                   |
| --------------------------------------- | ------ | --------------------------------------------------------------------------------------------- |
| texts<mark style="color:red;">\*</mark> | Array  | An array of strings to be inscribed                                                           |
| receiveAddress                          | String | Bitcoin address to receive the inscriptions for the whole order                               |
| fee                                     | Number | Miner fee that will be paid while inscribing the ordinals in sats/byte. (default=2 sats/byte) |
| referral                                | String | Referral code to earn up to 15% of the order service fee.                                     |

{% tabs %}
{% tab title="200: OK " %}

<pre class="language-json"><code class="lang-json">{
    status: 'ok',
    ..., // input parameters
<strong>    charge: {
</strong>        ...
        "id": "815xxx-xxx-xxx-xxx79",
        "address": "3P...Vu",
        "amount": 1218725,
        "lightning_invoice": {
            "expires_at": 1675786558,
            "payreq": "lnbc1218...7qz9v"
        },
        "created_at": 1677176476,
    },
    chainFee: 718725 // in satoshis
    serviceFee: 100000, // in satoshis
    orderType: 'bulk',
    createdAt: 1675785959855, // timestamp in ms,
}
</code></pre>

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/create-text-inscription-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
